<?php

namespace Modules\Tag\Interfaces;

use Modules\Tag\Models\Tag;

interface TagRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Tag;
    public function update(array $request, Tag $tag): Tag;
    public function destroy(Tag $tag): void;
    public function destroyAll(array $ids): void;
    public function restore(Tag $tag): void;
    public function restoreAll(array $ids): void;
}
